echo -n '_DIST_FILES_WEBSETUP = ' > file.list

for f in `find ./www | egrep -v '(cgi-bin|separated_js|dss11main.js|\.po$|\.pot$|\.swp$|langpack.json$|dss11shell.mo$|index\.html$|\.in$|ext-all.js|ext-all-debug.js|ext-base.js|ext-base-debug.js|dss11.mo)' | sort`
do
    if (test -f $f); then
        echo " \\" >> file.list
        echo -n $f >> file.list
    fi
done

echo >> file.list
echo >> file.list

echo -n 'EXTRA_DIST_JS = ' > extra.list

for f in `find ./www/js/dss11/separated_js | egrep '\.js$' | egrep -v 'generated' | sort`
do
    if (test -f $f); then
        echo " \\" >> extra.list
        echo -n $f >> extra.list
    fi
done

echo >> extra.list
echo -n 'EXTRA_DIST_PO = ' >> extra.list

for f in `find ./www/locale  | egrep '(\.po$|\.pot$)' | sort`
do
    if (test -f $f); then
        echo " \\" >> extra.list
        echo -n $f >> extra.list
    fi
done

echo >> extra.list
echo >> extra.list

echo -n 'SCRIPT_FILES = ' > bin.list

for f in `find ./www/cgi-bin | egrep -v '(\.swp$|\.in$|langdefs.sh)' | sort`
do
    if (test -f $f); then
        echo " \\" >> bin.list
        echo -n $f >> bin.list
    fi
done

for f in `find ./scripts | egrep -v '(\.swp$|\.in$|langdefs.sh|doupdate.sh)' | sort`
do
    if (test -f $f); then
        echo " \\" >> bin.list
        echo -n $f >> bin.list
    fi
done

echo >> bin.list
echo >> bin.list

